Package org.apache.commons.math3.analysis.interpolation

# Class InterpolatingMicrosphere2D

java.lang.Object
org.apache.commons.math3.analysis.interpolation.InterpolatingMicrosphere
org.apache.commons.math3.analysis.interpolation.InterpolatingMicrosphere2D

public class InterpolatingMicrosphere2D extends InterpolatingMicrosphere
Utility class for the `MicrosphereProjectionInterpolator` algorithm. For 2D interpolation, this class constructs the microsphere as a series of evenly spaced facets (rather than generating random normals as in the base implementation).

Since:
  3.6

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`InterpolatingMicrosphere2D(int size, double maxDarkFraction, double darkThreshold, double background)`
Create a sphere from vectors regularly sampled around a circle.
`protected`
`InterpolatingMicrosphere2D(InterpolatingMicrosphere2D other)`
Copy constructor.

## Method Summary

Modifier and Type
Method
Description
`InterpolatingMicrosphere2D`
`copy()`
Perform a copy.

### Methods inherited from class org.apache.commons.math3.analysis.interpolation.InterpolatingMicrosphere

`add, getDimension, getSize, value`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterpolatingMicrosphere2D

public InterpolatingMicrosphere2D(int size, double maxDarkFraction, double darkThreshold, double background)
Create a sphere from vectors regularly sampled around a circle.

Parameters:
  `size` - Number of surface elements of the sphere.
  `maxDarkFraction` - Maximum fraction of the facets that can be dark. If the fraction of "non-illuminated" facets is larger, no estimation of the value will be performed, and the `background` value will be returned instead.
  `darkThreshold` - Value of the illumination below which a facet is considered dark.
  `background` - Value returned when the `maxDarkFraction` threshold is exceeded.
Throws:
  `NotStrictlyPositiveException` - if `size <= 0`.
  `NotPositiveException` - if `darkThreshold < 0`.
  `OutOfRangeException` - if `maxDarkFraction` does not belong to the interval `[0, 1]`.

### InterpolatingMicrosphere2D

protected InterpolatingMicrosphere2D(InterpolatingMicrosphere2D other)
Copy constructor.

Parameters:
  `other` - Instance to copy.

## Method Details

### copy

public InterpolatingMicrosphere2D copy()
Perform a copy.

Overrides:
  `copy` in class `InterpolatingMicrosphere`
Returns:
  a copy of this instance.